﻿@model BeerViewModel

@{
    Layout = "_Layout";
}
<body>

<h4>Beer</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group row">
                <label asp-for="Name" class="col-md-6 col-form-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group row">
                <label asp-for="Description" class="col-md-6 col-form-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group row">
                <label asp-for="Brand" class="col-md-6 col-form-label"></label>
                <input asp-for="Brand" class="form-control" />
                <span asp-validation-for="Brand" class="text-danger"></span>
            </div>
            <div class="form-group row">
                <label asp-for="BreweryId" class="col-md-4 col-form-label">Brewery</label>
                <select asp-for="BreweryId" class="form-control" asp-items="ViewBag.BreweryId"></select>
                <span asp-validation-for="BreweryId" class="text-danger"></span>
            </div>
            <div class="form-group row">
                <label asp-for="StyleId" class="col-md-4 col-form-label">Style</label>
                <select asp-for="StyleId" class="form-control" asp-items="ViewBag.StyleId"></select>
                <span asp-validation-for="StyleId" class="text-danger"></span>
            </div>
            <div class="form-group row">
                <label asp-for="ABV" class="col-md-6 col-form-label"></label>
                <input asp-for="ABV" class="form-control" />
                <span asp-validation-for="ABV" class="text-danger"></span>
            </div>
            <div class="form-group row">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
</body>
